## org.hibernate.type.descriptor.java
Class BooleanTypeDescriptor

    java.lang.Object
      org.hibernate.type.descriptor.java.AbstractTypeDescriptor<Boolean>
          org.hibernate.type.descriptor.java.BooleanTypeDescriptor

All Implemented Interfaces:
  Serializable, JavaTypeDescriptor<Boolean>

    public class BooleanTypeDescriptor

extends AbstractTypeDescriptor<Boolean>

Descriptor for `Boolean` handling.

See Also:
  Serialized Form

Field Summary
`static BooleanTypeDescriptor` `INSTANCE`

Constructor Summary
`BooleanTypeDescriptor()`
`BooleanTypeDescriptor(char characterValueTrue, char characterValueFalse)`

Method Summary
`Boolean` `fromString(String string)`
`Byte` `toByte(Boolean value)`
`int` `toInt(Boolean value)`
`Integer` `toInteger(Boolean value)`
`Long` `toLong(Boolean value)`
`Short` `toShort(Boolean value)`
`String` `toString(Boolean value)`

`

`<X> X`

`

`unwrap(Boolean value, Class<X> type, WrapperOptions options)`
Unwrap an instance of our handled Java type into the requested type.

`

`<X> Boolean`

`

`wrap(X value, WrapperOptions options)`
Wrap a value as our handled Java type.

Methods inherited from class org.hibernate.type.descriptor.java.AbstractTypeDescriptor
`areEqual, extractHashCode, extractLoggableRepresentation, getComparator, getJavaTypeClass, getMutabilityPlan, unknownUnwrap, unknownWrap`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final BooleanTypeDescriptor INSTANCE

Constructor Detail

### BooleanTypeDescriptor

    public BooleanTypeDescriptor()

### BooleanTypeDescriptor

    public BooleanTypeDescriptor(char characterValueTrue,
                                 char characterValueFalse)

Method Detail

### toString

    public String toString(Boolean value)

### fromString

    public Boolean fromString(String string)

### unwrap

    public <X> X unwrap(Boolean value,
                        Class<X> type,
                        WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Unwrap an instance of our handled Java type into the requested type.

  As an example, if this is a `JavaTypeDescriptor<Integer>` and we are asked to unwrap the `Integer value` as a `Long` we would return something like `Long.valueOf( value.longValue() )`.

  Intended use is during `PreparedStatement` binding.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to unwrap
    `type` - The type as which to unwrap
    `options` - The options
  Returns:
    The unwrapped value.

### wrap

    public <X> Boolean wrap(X value,
                            WrapperOptions options)

  Description copied from interface: `JavaTypeDescriptor`
  Wrap a value as our handled Java type.

  Intended use is during `ResultSet` extraction.

  Type Parameters:
    `X` - The conversion type.
  Parameters:
    `value` - The value to wrap.
    `options` - The options
  Returns:
    The wrapped value.

### toInt

    public int toInt(Boolean value)

### toByte

    public Byte toByte(Boolean value)

### toShort

    public Short toShort(Boolean value)

### toInteger

    public Integer toInteger(Boolean value)

### toLong

    public Long toLong(Boolean value)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.